import type { PuppeteerLifeCycleEvent, ScreenshotClip, ScreenshotOptions } from 'puppeteer-core';
export declare function isBoolean(value: string | boolean): boolean;
export declare function isNumber(value: number): boolean;
export declare function isHttp(url: string): boolean;
export declare const isValidKey: (key: string, object: object) => key is never;
export declare function deepClone(data: any): {
    [key: string]: any;
};
export declare function clip(data: {
    [key: string]: string;
}): ScreenshotClip | undefined;
export declare function launch(): Promise<import("puppeteer-core").PuppeteerLaunchOptions>;
export declare function goto(data: {
    [x: string]: any;
    timeout?: any;
    await?: any;
    waitUntil?: any;
}): {
    timeout?: number | undefined;
    await?: number | undefined;
    waitUntil?: PuppeteerLifeCycleEvent | undefined;
};
export declare function screenshot(data: {
    [key: string]: any;
}): ScreenshotOptions;
export declare function cache(cache: number | boolean): string | undefined;
